Package com.ads.api.beans.sm

# Enum Class SMEnvironment.DatabaseType

java.lang.Object
java.lang.Enum<SMEnvironment.DatabaseType>
com.ads.api.beans.sm.SMEnvironment.DatabaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<SMEnvironment.DatabaseType>`, `Constable`

Enclosing class:
  SMEnvironment

public static enum SMEnvironment.DatabaseType extends Enum<SMEnvironment.DatabaseType>
These constants are used to specify whether the DatabaseType is of any of the listed Types : Excel, CWM, ETL, XMI, ERWin, Access,DSV,JSON, XSD, SqlServer, Oracle, SqlServerWindows, GreenPlum, TeraData, VERTICA, Pervasive, DB2, MySQL, SYBASE, SAP, BigDataCloudera, BigDataHortonWorks, BigDataMapR, NETEZZA, AmazonRedshift, Salesforce, Snowflake, Databricks, Postgresql, BigQuery, Other.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Access`
  Microsoft Access stores data in its own format based on the Access Jet Database Engine.
  `AmazonRedshift`
  Amazon Redshift is a fully managed, petabyte-scale data warehouse service in the cloud.
  `BigDataCloudera`
  CLOUDERA's open source platform, for the distribution of HADOOP and related projects.
  `BigDataHortonWorks`
  HORTONWORKS drives actionable intelligence with Connected Data Platforms that maximize the value of all data—data-in-motion and data-at-rest.
  `BigDataMapR`
  MapR is a programming model and an associated implementation for processing and generating large data sets with a parallel, distributed algorithm on a cluster.
  `BigQuery`
  BigQuery is Google's fully managed, serverless data warehouse that enables scalable analysis over petabytes of data.
  `CWM`
  The CWM defines a specification for modeling metaData for relational, non-relational, multi-dimensional, and most other objects found in a data warehousing environment.
  `Databricks`
  Any other DatabaseType can be accessed by specifying the databaseType as OTHER.
  `DB2`
  DB2 is designed to store, analyze and retrieve the data efficiently and is extended with the support of Object-Oriented features and non-relational structures with XML.
  `DSV`
  Delimiter-separated values(DSV) store two-dimensional arrays of data by separating the values in each row with specific delimiter characters.
  `ERWin`
  ERwin is a software tool for data modeling of custom developed information systems, including databases of transactional systems and data marts.
  `ERWin9`
  Deprecated.
  `ETL`
  ETL Component could be a Source, Transformation, Lookup, Staging, Destination Component.
  `Excel`
  Microsoft Excel has the basic features of all spreadsheets, using a grid of cells arranged in numbered rows and letter-named columns to organize the data manipulations.
  `GreenPlum`
  GREENPLUM Database is an advanced, fully featured, open source data warehouse.
  `JSON`
  JavaScript Object Notation(JSON) is a syntax for storing and exchanging data.
  `MySQL`
  MySQL is the Open Source Relational SQL database management system enabling the cost-effective delivery of reliable, high-performance and scalable Web-based and embedded database applications.
  `Netezza`
  NETEZZA system can support multiple concurrent connections from clients.
  `None`
  If no databaseType is specified or by default it is NONE.
  `Oracle`
  Oracle database is a collection of data treated as a unit.
  `Other`
  Any other DatabaseType can be accessed by specifying the databaseType as OTHER.
  `Pervasive`
  Pervasive is an ACID-compliant DBMS.
  `Postgresql`
  POSTGRESQL Database is a free and open-source relational database management system (RDBMS) emphasizing extensibility and SQL compliance.
  `Salesforce`
  Salesforce business tool that allows you to manage all your customers, partners and prospects information all in one place
  `SAP`
  SAP DB is an open-source, platform-independent, SQL-based database system.
  `Snowflake`
  Snowflake is an analytic data warehouse provided as Software-as-a-Service (SaaS) Snowflake's data warehouse is not built on an existing database or “big data” software platform such as Hadoop.
  `SqlServer`
  Microsoft SQL Server is a relational database management system with the primary function of storing and retrieving data as requested by other software applications.
  `SqlServerWindows`
  SQL Server also makes the databases available via Windows Authentication.
  `Sybase`
  SYBASE is an enterprise software that manages and analyzes the information in relational databases.
  `Teradata`
  TERADATA delivers high performance, diverse queries, in-database analytics & sophisticated workload management.
  `Vertica`
  VERTICA is the cluster-based, column-oriented is designed to manage large, fast-growing volumes of data and provide very fast query performance.
  `XMI`
  The XML Meta data Interchange (XMI) is an Object Management Group (OMG) standard for exchanging meta data information via Extensible Markup Language (XML).
  `XSD`
  XSD (XML Schema Definition) specifies how to formally describe the elements in an Extensible Markup Language (XML) document.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SMEnvironment.DatabaseType`
  `getDatabaseType(String value)`
  `static SMEnvironment.DatabaseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SMEnvironment.DatabaseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Excel

    public static final SMEnvironment.DatabaseType Excel
    Microsoft Excel has the basic features of all spreadsheets, using a grid of cells arranged in numbered rows and letter-named columns to organize the data manipulations.

  - ### ETL

    public static final SMEnvironment.DatabaseType ETL
    ETL Component could be a Source, Transformation, Lookup, Staging, Destination Component.

  - ### CWM

    public static final SMEnvironment.DatabaseType CWM
    The CWM defines a specification for modeling metaData for relational, non-relational, multi-dimensional, and most other objects found in a data warehousing environment.

  - ### XMI

    public static final SMEnvironment.DatabaseType XMI
    The XML Meta data Interchange (XMI) is an Object Management Group (OMG) standard for exchanging meta data information via Extensible Markup Language (XML).

  - ### ERWin

    public static final SMEnvironment.DatabaseType ERWin
    ERwin is a software tool for data modeling of custom developed information systems, including databases of transactional systems and data marts.

  - ### ERWin9

    @Deprecated public static final SMEnvironment.DatabaseType ERWin9
    Deprecated.
    ERWin9 is a leading data modeling solution that provides a simple, visual interface to manage your enterprise complex data environment.

  - ### Access

    public static final SMEnvironment.DatabaseType Access
    Microsoft Access stores data in its own format based on the Access Jet Database Engine.

  - ### DSV

    public static final SMEnvironment.DatabaseType DSV
    Delimiter-separated values(DSV) store two-dimensional arrays of data by separating the values in each row with specific delimiter characters.

  - ### JSON

    public static final SMEnvironment.DatabaseType JSON
    JavaScript Object Notation(JSON) is a syntax for storing and exchanging data.

  - ### XSD

    public static final SMEnvironment.DatabaseType XSD
    XSD (XML Schema Definition) specifies how to formally describe the elements in an Extensible Markup Language (XML) document.

  - ### SqlServer

    public static final SMEnvironment.DatabaseType SqlServer
    Microsoft SQL Server is a relational database management system with the primary function of storing and retrieving data as requested by other software applications.

  - ### Oracle

    public static final SMEnvironment.DatabaseType Oracle
    Oracle database is a collection of data treated as a unit. The purpose of this database is to store and retrieve related information.

  - ### SqlServerWindows

    public static final SMEnvironment.DatabaseType SqlServerWindows
    SQL Server also makes the databases available via Windows Authentication.

  - ### GreenPlum

    public static final SMEnvironment.DatabaseType GreenPlum
    GREENPLUM Database is an advanced, fully featured, open source data warehouse.

  - ### Postgresql

    public static final SMEnvironment.DatabaseType Postgresql
    POSTGRESQL Database is a free and open-source relational database management system (RDBMS) emphasizing extensibility and SQL compliance.

  - ### Teradata

    public static final SMEnvironment.DatabaseType Teradata
    TERADATA delivers high performance, diverse queries, in-database analytics & sophisticated workload management.

  - ### Vertica

    public static final SMEnvironment.DatabaseType Vertica
    VERTICA is the cluster-based, column-oriented is designed to manage large, fast-growing volumes of data and provide very fast query performance.

  - ### Pervasive

    public static final SMEnvironment.DatabaseType Pervasive
    Pervasive is an ACID-compliant DBMS.

  - ### DB2

    public static final SMEnvironment.DatabaseType DB2
    DB2 is designed to store, analyze and retrieve the data efficiently and is extended with the support of Object-Oriented features and non-relational structures with XML.

  - ### MySQL

    public static final SMEnvironment.DatabaseType MySQL
    MySQL is the Open Source Relational SQL database management system enabling the cost-effective delivery of reliable, high-performance and scalable Web-based and embedded database applications.

  - ### Sybase

    public static final SMEnvironment.DatabaseType Sybase
    SYBASE is an enterprise software that manages and analyzes the information in relational databases.

  - ### SAP

    public static final SMEnvironment.DatabaseType SAP
    SAP DB is an open-source, platform-independent, SQL-based database system.

  - ### BigDataCloudera

    public static final SMEnvironment.DatabaseType BigDataCloudera
    CLOUDERA's open source platform, for the distribution of HADOOP and related projects.

  - ### BigDataHortonWorks

    public static final SMEnvironment.DatabaseType BigDataHortonWorks
    HORTONWORKS drives actionable intelligence with Connected Data Platforms that maximize the value of all data—data-in-motion and data-at-rest.

  - ### BigDataMapR

    public static final SMEnvironment.DatabaseType BigDataMapR
    MapR is a programming model and an associated implementation for processing and generating large data sets with a parallel, distributed algorithm on a cluster.

  - ### Netezza

    public static final SMEnvironment.DatabaseType Netezza
    NETEZZA system can support multiple concurrent connections from clients. Within a connection, NETEZZA supports only one active SQL activity at a time.

  - ### AmazonRedshift

    public static final SMEnvironment.DatabaseType AmazonRedshift
    Amazon Redshift is a fully managed, petabyte-scale data warehouse service in the cloud.

  - ### Salesforce

    public static final SMEnvironment.DatabaseType Salesforce
    Salesforce business tool that allows you to manage all your customers, partners and prospects information all in one place

  - ### Snowflake

    public static final SMEnvironment.DatabaseType Snowflake
    Snowflake is an analytic data warehouse provided as Software-as-a-Service (SaaS) Snowflake's data warehouse is not built on an existing database or “big data” software platform such as Hadoop. The Snowflake data warehouse uses a new SQL database engine with a unique architecture designed for the cloud.

  - ### Databricks

    public static final SMEnvironment.DatabaseType Databricks
    Any other DatabaseType can be accessed by specifying the databaseType as OTHER.

  - ### BigQuery

    public static final SMEnvironment.DatabaseType BigQuery
    BigQuery is Google's fully managed, serverless data warehouse that enables scalable analysis over petabytes of data. It is a Platform as a Service (PaaS) that supports querying using ANSI SQL

  - ### Other

    public static final SMEnvironment.DatabaseType Other
    Any other DatabaseType can be accessed by specifying the databaseType as OTHER.

  - ### None

    public static final SMEnvironment.DatabaseType None
    If no databaseType is specified or by default it is NONE.

- ## Method Details

  - ### values

    public static SMEnvironment.DatabaseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SMEnvironment.DatabaseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDatabaseType

    public static SMEnvironment.DatabaseType getDatabaseType(String value)